controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use app\models\Ciclista;
use app\models\Etapa;
use yii\db;


class SiteController extends Controller
{
    public $nombrequipo;
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

//    VISTA DEL INICIO 
    
    public function actionIndex(){
        
//        DATA PROVIDER PARA EL SLIDER 
        $dataProvider = new \yii\data\SqlDataProvider([
            'sql'=>'SELECT DISTINCT nomequipo FROM ciclista',
            'pagination'=>false
        ]);
        
//        DATA PROVIDER PARA EL MAPA
         $dataProvider2 = new \yii\data\SqlDataProvider([
            'sql'=>'SELECT * FROM etapa join ciclista using (dorsal)',
            'pagination'=>false
        ]);
        
       $numEtapas = Yii::$app->db->createCommand("SELECT * FROM etapa")->queryAll();
  
        return $this->render('index',[
            'dataProvider'=>$dataProvider,
            'dataProvider2'=>$dataProvider2,
            'etapa'=>$numEtapas       
        ]);
 
    }

    
  
    
    
//    FIN VISTA DEL INICIO
//    DATAPROVIDER PARA LA VISTA DE JUGADORES
    public function actionJugadores($nombrequipo){
        
         $dataProvider = new ActiveDataProvider([
            'query'=> Ciclista::find()
                 ->where("nomequipo='$nombrequipo'"),
            'pagination'=>false
        ]);
         
        return $this->render('jugadores',[
            'dataProvider'=>$dataProvider,
            'nombrequipo' =>$nombrequipo
        ]);
    }
    
//    FIN LISTA DE JUGADORES
//    CONSULTAS PARA LAS FICHAS DE LOS JUGADORES
    public function actionFicha($dorsal,$nombrequipo){
        
         $dataProvider = new ActiveDataProvider([
            'query'=> Ciclista::find()
                 ->where("nomequipo='$nombrequipo'"),
            'pagination'=>false
        ]);
              
        $etapasGanadas = Yii::$app->db->createCommand("SELECT Count(*) FROM etapa where dorsal='$dorsal'")
                ->queryAll();
        
      
        $ciclista = Yii::$app->db->createCommand("SELECT * FROM ciclista WHERE dorsal='$dorsal'")->queryAll();
        
        $puertosGanados = Yii::$app->db->createCommand("SELECT nompuerto FROM puerto WHERE dorsal='$dorsal'")->queryAll() ;
         
        $maillotUtilizados = Yii::$app->db->createCommand("SELECT Distinct * FROM lleva JOIN maillot USING(código) WHERE dorsal = '$dorsal' limit 4")->queryAll();
        
        return $this->render("fichaJugador",[
            'etapasGandas'=>$etapasGanadas,
            'ciclista'=>$ciclista,
            'puertosGanados'=>$puertosGanados,
            'maillotUtilizados'=>$maillotUtilizados,
            'dataProvider'=>$dataProvider
        ]);
    }
    
//    FIN FICHA DE JUGADORES
    
//    CONSULTAS PARA LAS ETAPAS
    
    
    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    

    
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/etapa_modal.php
<?php
use yii\helpers\Html;
use yii\widgets\DetailView;

?>



<div style="padding-top: 50px" >
    
        <p>     <?= var_dump($etapa) ?> </p>
    
    </div>

views/site/fichaJugador.php
<?php
use yii\helpers\Html;
use yii\widgets\ListView;
use yii\web\View;
use yii\debug\models\timeline\DataProvider;
?>

<?php 
    $this->registerJs("$('#recipeCarousel').carousel({
        interval: 9000000
        })"
        ,View::POS_READY);
        
    $this->registerJs(" $('.carousel .carousel-item').each(function(){
            var minPerSlide = 2;
            var next = $(this).next();
            if (!next.length) {
            next = $(this).siblings(':first');
            }
            next.children(':first-child').clone().appendTo($(this));

            for (var i=0;i<minPerSlide;i++) {
                next=next.next();
                if (!next.length) {
                        next = $(this).siblings(':first');
                }

                next.children(':first-child').clone().appendTo($(this));
              }
        });",
          View::POS_READY);
    
    $this->registerCss("@media (max-width: 768px) {
            .carousel-inner .carousel-item > div {
                display: none;
            }
            .carousel-inner .carousel-item > div:first-child {
                display: block;
            }
        }

        .carousel-inner .carousel-item.active,
        .carousel-inner .carousel-item-next,
        .carousel-inner .carousel-item-prev {
            display: flex;
        }

        /* display 3 */
        @media (min-width: 768px) {

            .carousel-inner .carousel-item-right.active,
            .carousel-inner .carousel-item-next {
              transform: translateX(33.333%);
            }

            .carousel-inner .carousel-item-left.active, 
            .carousel-inner .carousel-item-prev {
              transform: translateX(-33.333%);
            }
        }

        .carousel-inner .carousel-item-right,
        .carousel-inner .carousel-item-left{ 
          transform: translateX(0);
        }"
            );
    ?>


<div>
    

        <div class="flex-container">
            <div style="flex-grow: 5; flex-shrink: 250; align-items: center">
                <?php echo Html::img('@web/images/ciclistas/'.$ciclista[0]['dorsal'].'.jpg',
                    ['width'=>'100%','height'=>'100%',
                    'type'=>"button", 'data-toggle'=>"modal", 'data-target'=>"#imagen", 'data-whatever'=>"@getbootstrap"]) 
                ?> 
            </div>
            <div style="flex-grow: 5">

                <p> <?=  ($ciclista[0]['nombre']) ?> </p>
                <p> Edad: <?=  ($ciclista[0]['edad']) ?> </p>
                <p> Nombre del equipo: <?=  ($ciclista[0]['nomequipo']) ?> </p>
                <p>Total de etapas Ganadas: <?= implode($etapasGandas[0]) ?>  </p>

                <?php if(!empty($maillotUtilizados)) {

                   for ($i = 0; $i <= count($maillotUtilizados)-1; $i++) {


                ?>
                <P style="margin-top: 15px"> Tipo: <?= ($maillotUtilizados[$i]['tipo']) ?> </P>
                <p> Color: <?=  ($maillotUtilizados[$i]['color'])  ?> </p>
                <p> Código del maillot <?=  ($maillotUtilizados[$i]['código']) ?>  </p>
                <p> Etapa en la que le utilizo <?=  ($maillotUtilizados[$i]['numetapa']) ?> </p>
                <p style="margin-bottom: 15px"> Premio ganado <?=  ($maillotUtilizados[$i]['premio']) ?> </p>

                <?php 

                    }
                    }

                ?>

            </div>
        </div>


     <div class="row mx-auto my-auto">
        <div id="recipeCarousel" class="carousel slide w-100" data-ride="carousel">
            <div class="carousel-inner w-100" role="listbox">
                <div class="carousel-item active">
                    <div class="col-md-4">
                        <div class="card card-body">
                           <?= Html::img('@web/images/equipos/equipos.jpg',['width'=>'100%','height'=>'300px']) ?>
                            <p id="nomequipo">
                                Selecciona un equipo
                            </p>
                        </div>
                    </div>
                </div>
                
    <!--OBJETOS PARA LOS EQUIPOS-->
        
                    <?= ListView::widget([
                        'dataProvider' => $dataProvider,
                        #'itemView' => '_jugadores',
                        #'options'=>['class'=>'col-sm-6 col-md-4'],
                        #'itemView'=>['class'=>'card tarjeta']
                        'layout'=>"{items}",
                        'itemView'=> function($model){

                    ?>
    
                <div class="carousel-item">
                    <div class="col-md-4">
                        <div class="card card-body">
                            <?= Html::a(Html::img('@web/images/ciclistas/'.$model['dorsal'].'.jpg',['width'=>'100%','height'=>'300px']),
                                    ['site/jugadores','nombrequipo'=>$model['nomequipo']],
                                    ['class'=>'img-fluid']) ?>
                            <p id="nomequipo">
                                <?= $model['nomequipo'] ?>
                            </p>
                        </div>
                    </div>
                </div>
                   
                    <?php 
                        }
                        ]);
                    ?>
    
                    
            </div>
            <a class="carousel-control-prev w-auto" href="#recipeCarousel" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon bg-dark border border-dark rounded-circle" aria-hidden="true"></span>
                <span class="sr-only">anterior</span>
            </a>
            <a class="carousel-control-next w-auto" href="#recipeCarousel" role="button" data-slide="next">
                <span class="carousel-control-next-icon bg-dark border border-dark rounded-circle" aria-hidden="true"></span>
                <span class="sr-only">siguiente</span>
            </a>
            
        </div>
    </div> 


    <!--IMAGEN EN GRANDE--> 

    <div class="modal fade" id="imagen" tabindex="-1" role="dialog" aria-hidden="true" >
        <div class="modal-dialog" role="document">
            <div class="modal-content" >
                <div class="modal-body" style="padding:0" >

                    <?= Html::img("@web/images/ciclistas/".$ciclista[0]['dorsal'].".jpg",['width'=>'100%','height'=>'100%']) ?>

                </div>
            </div>
        </div> 
    </div>

    <!--fin de la imagen en grande-->

 
</div>  <!--Cierra el div principal-->

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Ciclistas';
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\web\View;
use yii\widgets\ListView;
use kartik\popover\PopoverX;

?>
    <?php 
    $this->registerJs("$('#recipeCarousel').carousel({
        interval: 9000000
        })"
        ,View::POS_READY);
        
    $this->registerJs(" $('.carousel .carousel-item').each(function(){
            var minPerSlide = 2;
            var next = $(this).next();
            if (!next.length) {
            next = $(this).siblings(':first');
            }
            next.children(':first-child').clone().appendTo($(this));

            for (var i=0;i<minPerSlide;i++) {
                next=next.next();
                if (!next.length) {
                        next = $(this).siblings(':first');
                }

                next.children(':first-child').clone().appendTo($(this));
              }
        });",
          View::POS_READY);
    
    $this->registerCss("@media (max-width: 768px) {
            .carousel-inner .carousel-item > div {
                display: none;
            }
            .carousel-inner .carousel-item > div:first-child {
                display: block;
            }
        }

        .carousel-inner .carousel-item.active,
        .carousel-inner .carousel-item-next,
        .carousel-inner .carousel-item-prev {
            display: flex;
        }

        /* display 3 */
        @media (min-width: 768px) {

            .carousel-inner .carousel-item-right.active,
            .carousel-inner .carousel-item-next {
              transform: translateX(33.333%);
            }

            .carousel-inner .carousel-item-left.active, 
            .carousel-inner .carousel-item-prev {
              transform: translateX(-33.333%);
            }
        }

        .carousel-inner .carousel-item-right,
        .carousel-inner .carousel-item-left{ 
          transform: translateX(0);
        }"
            );
    ?>
    
<div class="site-index">
      
     <div class="row mx-auto my-auto">
        <div id="recipeCarousel" class="carousel slide w-100" data-ride="carousel">
            <div class="carousel-inner w-100" role="listbox">
                <div class="carousel-item active">
                    <div class="col-md-4">
                        <div class="card card-body">
                           <?= Html::img('@web/images/equipos/equipos.jpg',['width'=>'100%','height'=>'300px']) ?>
                            <p id="nomequipo">
                                Selecciona un equipo
                            </p>
                        </div>
                    </div>
                </div>
                
    <!--OBJETOS PARA LOS EQUIPOS-->
        
                    <?= ListView::widget([
                        'dataProvider' => $dataProvider,
                        #'itemView' => '_jugadores',
                        #'options'=>['class'=>'col-sm-6 col-md-4'],
                        #'itemView'=>['class'=>'card tarjeta']
                        'layout'=>"{items}",
                        'itemView'=> function($model){

                    ?>
    
                <div class="carousel-item">
                    <div class="col-md-4">
                        <div class="card card-body">
                            <?= Html::a(Html::img('@web/images/equipos/'.$model['nomequipo'].'.jpg',['width'=>'100%','height'=>'300px']),
                                    ['site/jugadores','nombrequipo'=>$model['nomequipo']],
                                    ['class'=>'img-fluid']) ?>
                            <p id="nomequipo">
                                <?= $model['nomequipo'] ?>
                            </p>
                        </div>
                    </div>
                </div>
                   
                    <?php 
                        }
                        ]);
                    ?>
    
                    
            </div>
            <a class="carousel-control-prev w-auto" href="#recipeCarousel" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon bg-dark border border-dark rounded-circle" aria-hidden="true"></span>
                <span class="sr-only">anterior</span>
            </a>
            <a class="carousel-control-next w-auto" href="#recipeCarousel" role="button" data-slide="next">
                <span class="carousel-control-next-icon bg-dark border border-dark rounded-circle" aria-hidden="true"></span>
                <span class="sr-only">siguiente</span>
            </a>
            
        </div>
    </div> 
  
    
    <div class="centrado">
    <?= Html::img('@web/images/mapa/mapa.jpg',['usemap'=>'#mapa']); ?>
    </div>
        
        <map name="mapa">
        
            
            
            <area alt="1" id="1" shape="rect" coords="273,586,290,601" type="button" data-toggle="modal" data-target="#etapa1  " data-whatever="@getbootstrap" >
            <area alt="2" shape="rect" coords="219,502,236,517" type="button" data-toggle="modal" data-target="#etapa2  " data-whatever="@getbootstrap">
            <area alt="3" shape="rect" coords="187,543,204,558" type="button" data-toggle="modal" data-target="#etapa3  " data-whatever="@getbootstrap">
            <area alt="4" shape="rect" coords="262,510,278,525" type="button" data-toggle="modal" data-target="#etapa4  " data-whatever="@getbootstrap">
            <area alt="5" shape="rect" coords="350,541,367,556" type="button" data-toggle="modal" data-target="#etapa5  " data-whatever="@getbootstrap">
            <area alt="6" shape="rect" coords="430,495,447,510" type="button" data-toggle="modal" data-target="#etapa6  " data-whatever="@getbootstrap">
            <area alt="7" shape="rect" coords="361,466,377,480" type="button" data-toggle="modal" data-target="#etapa7  " data-whatever="@getbootstrap">
            <area alt="8" shape="rect" coords="212,439,230,454"  type="button" data-toggle="modal" data-target="#etapa8  " data-whatever="@getbootstrap">
            <area alt="9" shape="rect" coords="198,330,214,345" type="button" data-toggle="modal" data-target="#etapa9  " data-whatever="@getbootstrap">
            <area alt="10" shape="rect" coords="142,271,162,287" type="button" data-toggle="modal" data-target="#etapa10  " data-whatever="@getbootstrap">
            <area alt="11" shape="rect" coords="107,213,128,228" type="button" data-toggle="modal" data-target="#etapa11  " data-whatever="@getbootstrap">
            <area alt="12" shape="rect" coords="54,81,73,95" type="button" data-toggle="modal" data-target="#etapa12  " data-whatever="@getbootstrap">
            <area alt="13" shape="rect" coords="229,139,249,154" type="button" data-toggle="modal" data-target="#etapa13  " data-whatever="@getbootstrap">
            <area alt="14" shape="rect" coords="181,142,201,157" type="button" data-toggle="modal" data-target="#etapa14  " data-whatever="@getbootstrap">
            <area alt="15" shape="rect" coords="207,94,227,108" type="button" data-toggle="modal" data-target="#etapa15  " data-whatever="@getbootstrap">
            <area alt="16" shape="rect" coords="270,74,290,88" type="button" data-toggle="modal" data-target="#etapa16  " data-whatever="@getbootstrap">
            <area alt="17" shape="rect" coords="352,100,373,115" type="button" data-toggle="modal" data-target="#etapa17  " data-whatever="@getbootstrap">
            <area alt="18" shape="rect" coords="429,214,448,228" type="button" data-toggle="modal" data-target="#etapa18  " data-whatever="@getbootstrap">
            <area alt="19" shape="rect" coords="546,212,565,227" type="button" data-toggle="modal" data-target="#etapa19  " data-whatever="@getbootstrap">
            <area alt="20" shape="rect" coords="550,61,571,77" type="button" data-toggle="modal" data-target="#etapa20  " data-whatever="@getbootstrap">
            <area alt="21" shape="rect" coords="277,277,297,291" type="button" data-toggle="modal" data-target="#etapa21  " data-whatever="@getbootstrap">

        
        
        </map>
    
    
    <?=  ListView::widget([
        'dataProvider' => $dataProvider2,
        #'itemView' => '_jugadores',
        #'options'=>['class'=>'col-sm-6 col-md-4'],
        #'itemView'=>['class'=>'card tarjeta']
        'layout'=>"{items}",
        'itemView'=> function($model){

    ?>
    
        <!--MODAL ETAPA 1--> 
        <div class="modal fade" id="etapa<?php echo $model['numetapa'];?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Etapa seleccionada 
                    <?= $model['numetapa']; ?> 
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <!--LO QUE APARECE DENTRO DEL MODAL-->
                <p> El lugar de salida es: <?= $model['salida'] ?></p>
                <p> El lugar de llegada es: <?= $model['llegada'] ?> </p>
                <p> La cantidad de Kilometros recorridos son: <?= $model['kms'] ?></p>
                <p> El ganador de la etapa fue : <?= $model['nombre'] ?> </p>
                <?= Html::a('ficha del jugador',['site/ficha','dorsal'=>$model['dorsal']]) ?>
                <p> Participando en el equipo de: <?= $model['nomequipo'] ?> </p>
                <?= Html::a('Ciclistas del equipo',['site/jugadores','nombrequipo'=>$model['nomequipo']]) ?>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                
              </div>
            </div>
          </div>
        </div>       

     <?php 
        }
        ]);
    ?>
    
</div>                
   

views/site/jugadores.php
<?php

    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    use yii\widgets\ListView;
?>


<div class="site-index">
    <div class="row">
    <?= ListView::widget([
        'dataProvider' => $dataProvider,
        #'itemView' => '_jugadores',
        #'options'=>['class'=>'col-sm-6 col-md-4'],
        #'itemView'=>['class'=>'card tarjeta']
        'layout'=>"{items}",
        'viewParams'=> [
            
        ],
        'itemView'=> function($model){

    ?>
    
        <div class="col-sm-6 col-md-4">
                <div class="card alturaminimaJugadores">
                    <div class="card-body tarjeta">
                        <p #id="juga">
                            <?php echo Html::img('@web/images/ciclistas/'.$model->dorsal.'.jpg',['width'=>'100%','height'=>'300px','class'=>'juga']); ?>
                        </p>
                        <p>
                            Nombre: <?= $model->nombre?>
                        </p>
                        <p>
                            Dorsal: <?= $model->dorsal ?>
                        </p>
                        <?= Html::a('Ver ficha del jugador',['site/ficha','dorsal'=>$model->dorsal,'nombrequipo'=>$model['nomequipo']],['class'=>'btn btn-primary']) ?>
                    </div>
                </div>
           
        </div>
        
        <?php 
            }
            ]);
        ?>
   </div>              
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n{input}\n{error}",
            'labelOptions' => ['class' => 'col-lg-1 col-form-label mr-lg-3'],
            'inputOptions' => ['class' => 'col-lg-3 form-control'],
            'errorOptions' => ['class' => 'col-lg-7 invalid-feedback'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"offset-lg-1 col-lg-3 custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="offset-lg-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>